"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ElasticDataLoader = void 0;
const axios_1 = require("axios");
class ElasticDataLoader {
    constructor(config) {
        this.config = config;
    }
    load(req) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const { data } = yield axios_1.default.request({
                    baseURL: this.config.endpoint,
                    url: req.path,
                    headers: req.params.headers,
                    params: req.params.queryString,
                    method: req.operation.toLowerCase(),
                    data: req.params.body,
                });
                return data;
            }
            catch (err) {
                console.log(err);
            }
            return null;
        });
    }
}
exports.ElasticDataLoader = ElasticDataLoader;
//# sourceMappingURL=elastic-data-loader.js.map